<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs.qdoc -->
  <title>Installing | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >Installing</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="setup.html" />
  <link rel="next" href="configuring.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="setup.html">Setup</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="configuring.html">Configuring Profiles and Preferences</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#windows">Windows</a></li>
<li class="level1"><a href="#macos">macOS</a></li>
<li class="level1"><a href="#linux-and-freebsd">Linux and FreeBSD</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Installing</h1>
<span class="subtitle"></span>
<!-- $$$installing.html-description -->
<div class="descr"> <a name="details"></a>
<p>Qbs binaries are available for Windows, <a href="nolink">macOS</a>, Linux, and FreeBSD.</p>
<p>On all platforms, Qbs binaries are part of the <a href="https://www.qt.io/ide/">Qt Creator</a> and <a href="https://www.qt.io/download/">Qt SDK</a> installers. You can find the <code>qbs</code> executable in the <code>bin</code> directory of Qt Creator, or within the application bundle's <code>MacOS</code> directory on <a href="nolink">macOS</a>.</p>
<p>Qbs can also be built locally from sources. For more information, see <a href="building-qbs.html">Appendix A: Building Qbs</a>.</p>
<a name="windows"></a>
<h2 id="windows">Windows</h2>
<p>The Qt Project provides prebuilt binaries for Windows (x86 and x64) at <a href="https://download.qt.io/official_releases/qbs/">https://download.qt.io/official_releases/qbs/</a>. For commercial customers of The Qt Company, the binaries are available in the <a href="https://login.qt.io/">Qt Account</a>. The binaries are packaged in a .zip folder that can be extracted to a location of your choice.</p>
<p>Qbs is also available as a <a href="https://chocolatey.org/packages/qbs">Chocolatey</a> package, which can be installed in the usual way:</p>
<pre class="cpp">

  choco install qbs

</pre>
<p>The <code>.nupkg</code> file can also be downloaded directly from <a href="https://download.qt.io/official_releases/qbs/">https://download.qt.io/official_releases/qbs/</a> for <a href="https://chocolatey.org/security#organizational-use-of-chocolatey">offline installation</a>.</p>
<a name="macos"></a>
<h2 id="macos">macOS</h2>
<p>Qbs can be conveniently installed on <a href="nolink">macOS</a> with the <a href="https://www.macports.org/ports.php?by=name&substr=qbs">MacPorts</a> or <a href="https://brew.sh/">Homebrew</a> package managers:</p>
<pre class="cpp">

  brew install qbs

</pre>
<p>or</p>
<pre class="cpp">

  port install qbs

</pre>
<a name="linux-and-freebsd"></a>
<h2 id="linux-and-freebsd">Linux and FreeBSD</h2>
<p>Qbs is <a href="https://repology.org/metapackage/qbs/versions">available via the package management systems</a> of Linux distributions, and FreeBSD.</p>
</div>
<!-- @@@installing.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="setup.html">Setup</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="configuring.html">Configuring Profiles and Preferences</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
